import os, string, re

class lsa_document:
	def __init__ (self, filepath):
		self.filepath = filepath;
		self.word_dictionary = {}

		if not os.path.exists(filepath):
			raise "LSA: specified file %s does not exist" % (filepath)

		f=open(filepath, 'r')
		contents=f.read()
		contents=string.lower(contents)
		contents = re.sub("[ \n]+", " ", contents)
		contents = re.sub("[^a-z'\n ]+", "", contents)
		f.close()

		words = string.split( contents," ")
		words.sort() # not needed, but good for debugging

		for word in words:
			if self.word_dictionary.has_key(word):
				self.word_dictionary[word] = self.word_dictionary[word] + 1
			else:
				self.word_dictionary[word] = 1
	
